Bug 1457453 - Review Request: R-GenomicAlignments - Representation and manipulation of short genomic alignments
Summary: Review Request: R-GenomicAlignments - Representation and manipulation of shor...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mattias Ellert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1456973 1457390 1457391 1457451
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-31 18:21 UTC by Tom "spot" Callaway
Modified: 2017-06-21 12:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-21 12:19:57 UTC
mattias.ellert: fedora-review+


Attachments (Terms of Use)

Description Tom "spot" Callaway 2017-05-31 18:21:23 UTC
Spec URL: https://spot.fedorapeople.org/R-GenomicAlignments.spec
SRPM URL: https://spot.fedorapeople.org/R-GenomicAlignments-1.12.1-1.fc26.src.rpm
Description: 
Provides efficient containers for storing and manipulating short genomic 
alignments (typically obtained by aligning short reads to a reference genome). 
This includes read counting, computing the coverage, junction detection, and 
working with the nucleotide content of the alignments.
Fedora Account System Username: spot

Comment 1 Mattias Ellert 2017-06-07 23:34:39 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======

The build log shows several warninings about variables that may be
used without having been initialized:

cigar_utils.c:676:9: warning: 'f_elt' may be used uninitialized in this function [-Wmaybe-uninitialized]
cigar_utils.c:658:27: warning: 'range_buf2' may be used uninitialized in this function [-Wmaybe-uninitialized]
cigar_utils.c:674:22: warning: 'range_buf1' may be used uninitialized in this function [-Wmaybe-uninitialized]
cigar_utils.c:674:16: warning: 'breakpoint' may be used uninitialized in this function [-Wmaybe-uninitialized]
cigar_utils.c:626:8: warning: 'flag_elt' may be used uninitialized in this function [-Wmaybe-uninitialized]
cigar_utils.c:708:8: warning: 'flag_elt' may be used uninitialized in this function [-Wmaybe-uninitialized]
cigar_utils.c:880:6: warning: 'Roffset' may be used uninitialized in this function [-Wmaybe-uninitialized]
cigar_utils.c:878:6: warning: 'Loffset' may be used uninitialized in this function [-Wmaybe-uninitialized]
cigar_utils.c:1064:6: warning: 'Roffset' may be used uninitialized in this function [-Wmaybe-uninitialized]
cigar_utils.c:1062:6: warning: 'Loffset' may be used uninitialized in this function [-Wmaybe-uninitialized]

Uninitialized variables can lead to random behaviour of the program,
so addressing these or reporting it upstream might be a good idea.

The log also shows several warnings about missing file links from the
documentaion generation. This is quite a long list, so I will not copy
it here. It is not critical, but if it can be fixed ...

APPROVED.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
     This is not a developmen symlink.
     This file is not in the default library path.
[-]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
     DESCRIPTION file states "License: Artistic-2.0".
     No other license statements found in sources.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
     No license file in the sources.
[x]: License field in the package spec file matches the actual license.
     Spec file states "License: Artistic 2.0".
[-]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
     The Requires matches the Depends/Imports in the DESCRIPTION files
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
     Complaints are false positives. (spelling, hidden files)
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

R:
[x]: Package contains the mandatory BuildRequires.
[x]: The package has the standard %install section.
[x]: Package requires R-core.

===== SHOULD items =====

Generic:
[?]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
     Checks are disbled due to missing test dependencies.
[-]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

R:
[x]: The %check macro is present
[x]: Latest version is packaged.
     Note: Latest upstream version is 1.12.1, packaged version is 1.12.1

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
     Complaints are false positives. (spelling, hidden files)
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: R-GenomicAlignments-1.12.1-1.fc27.x86_64.rpm
          R-GenomicAlignments-debuginfo-1.12.1-1.fc27.x86_64.rpm
          R-GenomicAlignments-1.12.1-1.fc27.src.rpm
R-GenomicAlignments.x86_64: W: spelling-error Summary(en_US) genomic -> gnomic, ergonomic
R-GenomicAlignments.x86_64: W: spelling-error %description -l en_US genomic -> gnomic, ergonomic
R-GenomicAlignments.x86_64: W: spelling-error %description -l en_US nucleotide -> nucleation
R-GenomicAlignments.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
R-GenomicAlignments.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
R-GenomicAlignments.src: W: spelling-error Summary(en_US) genomic -> gnomic, ergonomic
R-GenomicAlignments.src: W: spelling-error %description -l en_US genomic -> gnomic, ergonomic
R-GenomicAlignments.src: W: spelling-error %description -l en_US nucleotide -> nucleation
3 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (debuginfo)
-------------------
Checking: R-GenomicAlignments-debuginfo-1.12.1-1.fc27.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
R-GenomicAlignments.x86_64: W: spelling-error Summary(en_US) genomic -> gnomic, ergonomic
R-GenomicAlignments.x86_64: W: spelling-error %description -l en_US genomic -> gnomic, ergonomic
R-GenomicAlignments.x86_64: W: spelling-error %description -l en_US nucleotide -> nucleation
R-GenomicAlignments.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
R-GenomicAlignments.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
2 packages and 0 specfiles checked; 0 errors, 5 warnings.



Requires
--------
R-GenomicAlignments-debuginfo (rpmlib, GLIBC filtered):

R-GenomicAlignments (rpmlib, GLIBC filtered):
    R-BiocGenerics
    R-BiocParallel
    R-Biostrings
    R-GenomeInfoDb
    R-GenomicRanges
    R-IRanges
    R-Rsamtools
    R-S4Vectors
    R-SummarizedExperiment
    R-core
    R-methods
    R-stats
    R-utils
    libR.so()(64bit)
    libc.so.6()(64bit)
    rtld(GNU_HASH)



Provides
--------
R-GenomicAlignments-debuginfo:
    R-GenomicAlignments-debuginfo
    R-GenomicAlignments-debuginfo(x86-64)

R-GenomicAlignments:
    R-GenomicAlignments
    R-GenomicAlignments(x86-64)



Unversioned so-files
--------------------
R-GenomicAlignments: /usr/lib64/R/library/GenomicAlignments/libs/GenomicAlignments.so

Source checksums
----------------
http://www.bioconductor.org/packages/release/bioc/src/contrib/GenomicAlignments_1.12.1.tar.gz :
  CHECKSUM(SHA256) this package     : 90807b7de2a684d08a7e1b152138c52960f43a79d2f64de8c02512ed3548e688
  CHECKSUM(SHA256) upstream package : 90807b7de2a684d08a7e1b152138c52960f43a79d2f64de8c02512ed3548e688


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1457453 -L deps
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, R, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Built with local dependencies:
    /home/ellert/R-GenomicAlignments/deps/R-S4Vectors-devel-0.14.3-1.fc27.x86_64.rpm
    /home/ellert/R-GenomicAlignments/deps/R-GenomicRanges-1.28.3-1.fc27.x86_64.rpm
    /home/ellert/R-GenomicAlignments/deps/R-Rsamtools-1.28.0-1.fc27.x86_64.rpm
    /home/ellert/R-GenomicAlignments/deps/R-BiocParallel-1.10.1-1.fc27.noarch.rpm
    /home/ellert/R-GenomicAlignments/deps/R-GenomeInfoDbData-0.99.0-1.fc27.noarch.rpm
    /home/ellert/R-GenomicAlignments/deps/R-DelayedArray-0.2.7-1.fc27.noarch.rpm
    /home/ellert/R-GenomicAlignments/deps/R-SummarizedExperiment-1.6.3-1.fc27.noarch.rpm
    /home/ellert/R-GenomicAlignments/deps/R-lambda.r-1.1.9-1.fc27.noarch.rpm
    /home/ellert/R-GenomicAlignments/deps/R-Rsamtools-devel-1.28.0-1.fc27.x86_64.rpm
    /home/ellert/R-GenomicAlignments/deps/R-GenomeInfoDb-1.12.1-1.fc27.noarch.rpm
    /home/ellert/R-GenomicAlignments/deps/R-futile.logger-1.4.3-1.fc27.noarch.rpm
    /home/ellert/R-GenomicAlignments/deps/R-snow-0.4.2-1.fc27.noarch.rpm
    /home/ellert/R-GenomicAlignments/deps/R-matrixStats-0.52.2-1.fc27.x86_64.rpm
    /home/ellert/R-GenomicAlignments/deps/R-futile.options-1.0.0-1.fc27.noarch.rpm
    /home/ellert/R-GenomicAlignments/deps/R-S4Vectors-0.14.3-1.fc27.x86_64.rpm

Comment 2 Gwyn Ciesla 2017-06-08 15:41:10 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/R-GenomicAlignments

Comment 3 Fedora Update System 2017-06-08 20:41:36 UTC
R-3.4.0-2.fc25 R-RCurl-1.95.4.8-1.fc25 R-Rcompression-0.93.2-15.fc25 R-XML-3.98.1.7-1.fc25 R-bitops-1.0.6-5.fc25 rkward-0.6.5-6.fc25 rpy-2.8.5-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-17bcc534b7

Comment 4 Fedora Update System 2017-06-08 20:42:35 UTC
R-3.4.0-2.fc25 R-RCurl-1.95.4.8-1.fc25 R-Rcompression-0.93.2-15.fc25 R-XML-3.98.1.7-1.fc25 R-bitops-1.0.6-5.fc25 rkward-0.6.5-6.fc25 rpy-2.8.5-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-17bcc534b7

Comment 5 Fedora Update System 2017-06-09 13:38:54 UTC
R-3.4.0-2.fc25, R-RCurl-1.95.4.8-1.fc25, R-Rcompression-0.93.2-15.fc25, R-XML-3.98.1.7-1.fc25, R-bitops-1.0.6-5.fc25, rkward-0.6.5-6.fc25, rpy-2.8.5-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-17bcc534b7

Comment 6 Fedora Update System 2017-06-09 16:20:14 UTC
R-3.4.0-2.fc25 R-BH-1.62.0.1-2.fc25 R-Biobase-2.36.2-1.fc25 R-BiocGenerics-0.22.0-1.fc25 R-BiocParallel-1.10.1-1.fc25 R-Biostrings-2.44.0-1.fc25 R-BufferedMatrix-1.40.0-1.fc25 R-BufferedMatrixMethods-1.40.0-1.fc25 R-DBI-0.6.1-1.fc25 R-DelayedArray-0.2.7-1.fc25 R-GenomeInfoDb-1.12.1-1.fc25 R-GenomeInfoDbData-0.99.0-1.fc25 R-GenomicAlignments-1.12.1-1.fc25 R-GenomicRanges-1.28.3-1.fc25 R-IRanges-2.10.1-1.fc25 R-R6-2.2.1-1.fc25 R-RCurl-1.95.4.8-1.fc25 R-RInside-0.2.14-2.fc25 R-RODBC-1.3.15-1.fc25 R-RSQLite-1.1.2-2.fc25 R-Rcompression-0.93.2-15.fc25 R-Rsamtools-1.28.0-1.fc25 R-Rsolid-0.9.31-20.fc25 R-S4Vectors-0.14.3-1.fc25 R-SummarizedExperiment-1.6.3-1.fc25 R-XML-3.98.1.7-1.fc25 R-XVector-0.16.0-1.fc25 R-acepack-1.4.1-2.fc25 R-affy-1.54.0-1.fc25 R-affyio-1.46.0-1.fc25 R-biglm-0.9.1-8.fc25 R-bitops-1.0.6-5.fc25 R-caTools-1.17.1-4.fc25 R-digest-0.6.12-1.fc25 R-expm-0.999.2-1.fc25 R-futile.logger-1.4.3-1.fc25 R-futile.options-1.0.0-1.fc25 R-highlight-0.4.7.1-2.fc25 R-lambda.r-1.1.9-1.fc25 R-littler-0.3.2-2.fc25 R-lmtest-0.9.35-1.fc25 R-maanova-1.46.1-1.fc25 R-magrittr-1.5-1.fc25 R-matrixStats-0.52.2-1.fc25 R-msm-1.6.4-1.fc25 R-multtest-2.32.0-1.fc25 R-mvtnorm-1.0.6-1.fc25 R-plogr-0.1.1-1.fc25 R-preprocessCore-1.38.1-1.fc25 R-qtl-1.40.8-3.fc25 R-rlecuyer-0.3.4-1.fc25 R-rtracklayer-1.36.3-1.fc25 R-snow-0.4.2-1.fc25 R-testthat-1.0.2-1.fc25 R-waveslim-1.7.5-4.fc25 R-wavethresh-4.6.8-1.fc25 rkward-0.6.5-6.fc25 rpy-2.8.5-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-17bcc534b7

Comment 7 Fedora Update System 2017-06-10 12:34:13 UTC
R-3.4.0-2.fc25, R-BH-1.62.0.1-2.fc25, R-Biobase-2.36.2-1.fc25, R-BiocGenerics-0.22.0-1.fc25, R-BiocParallel-1.10.1-1.fc25, R-Biostrings-2.44.0-1.fc25, R-BufferedMatrix-1.40.0-1.fc25, R-BufferedMatrixMethods-1.40.0-1.fc25, R-DBI-0.6.1-1.fc25, R-DelayedArray-0.2.7-1.fc25, R-GenomeInfoDb-1.12.1-1.fc25, R-GenomeInfoDbData-0.99.0-1.fc25, R-GenomicAlignments-1.12.1-1.fc25, R-GenomicRanges-1.28.3-1.fc25, R-IRanges-2.10.1-1.fc25, R-R6-2.2.1-1.fc25, R-RCurl-1.95.4.8-1.fc25, R-RInside-0.2.14-2.fc25, R-RODBC-1.3.15-1.fc25, R-RSQLite-1.1.2-2.fc25, R-Rcompression-0.93.2-15.fc25, R-Rsamtools-1.28.0-1.fc25, R-Rsolid-0.9.31-20.fc25, R-S4Vectors-0.14.3-1.fc25, R-SummarizedExperiment-1.6.3-1.fc25, R-XML-3.98.1.7-1.fc25, R-XVector-0.16.0-1.fc25, R-acepack-1.4.1-2.fc25, R-affy-1.54.0-1.fc25, R-affyio-1.46.0-1.fc25, R-biglm-0.9.1-8.fc25, R-bitops-1.0.6-5.fc25, R-caTools-1.17.1-4.fc25, R-digest-0.6.12-1.fc25, R-expm-0.999.2-1.fc25, R-futile.logger-1.4.3-1.fc25, R-futile.options-1.0.0-1.fc25, R-highlight-0.4.7.1-2.fc25, R-lambda.r-1.1.9-1.fc25, R-littler-0.3.2-2.fc25, R-lmtest-0.9.35-1.fc25, R-maanova-1.46.1-1.fc25, R-magrittr-1.5-1.fc25, R-matrixStats-0.52.2-1.fc25, R-msm-1.6.4-1.fc25, R-multtest-2.32.0-1.fc25, R-mvtnorm-1.0.6-1.fc25, R-plogr-0.1.1-1.fc25, R-preprocessCore-1.38.1-1.fc25, R-qtl-1.40.8-3.fc25, R-rlecuyer-0.3.4-1.fc25, R-rtracklayer-1.36.3-1.fc25, R-snow-0.4.2-1.fc25, R-testthat-1.0.2-1.fc25, R-waveslim-1.7.5-4.fc25, R-wavethresh-4.6.8-1.fc25, rkward-0.6.5-6.fc25, rpy-2.8.5-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-17bcc534b7

Comment 8 Fedora Update System 2017-06-21 12:19:57 UTC
R-3.4.0-2.fc25, R-BH-1.62.0.1-2.fc25, R-Biobase-2.36.2-1.fc25, R-BiocGenerics-0.22.0-1.fc25, R-BiocParallel-1.10.1-1.fc25, R-Biostrings-2.44.0-1.fc25, R-BufferedMatrix-1.40.0-1.fc25, R-BufferedMatrixMethods-1.40.0-1.fc25, R-DBI-0.6.1-1.fc25, R-DelayedArray-0.2.7-1.fc25, R-GenomeInfoDb-1.12.1-1.fc25, R-GenomeInfoDbData-0.99.0-1.fc25, R-GenomicAlignments-1.12.1-1.fc25, R-GenomicRanges-1.28.3-1.fc25, R-IRanges-2.10.1-1.fc25, R-R6-2.2.1-1.fc25, R-RCurl-1.95.4.8-1.fc25, R-RInside-0.2.14-2.fc25, R-RODBC-1.3.15-1.fc25, R-RSQLite-1.1.2-2.fc25, R-Rcompression-0.93.2-15.fc25, R-Rsamtools-1.28.0-1.fc25, R-Rsolid-0.9.31-20.fc25, R-S4Vectors-0.14.3-1.fc25, R-SummarizedExperiment-1.6.3-1.fc25, R-XML-3.98.1.7-1.fc25, R-XVector-0.16.0-1.fc25, R-acepack-1.4.1-2.fc25, R-affy-1.54.0-1.fc25, R-affyio-1.46.0-1.fc25, R-biglm-0.9.1-8.fc25, R-bitops-1.0.6-5.fc25, R-caTools-1.17.1-4.fc25, R-digest-0.6.12-1.fc25, R-expm-0.999.2-1.fc25, R-futile.logger-1.4.3-1.fc25, R-futile.options-1.0.0-1.fc25, R-highlight-0.4.7.1-2.fc25, R-lambda.r-1.1.9-1.fc25, R-littler-0.3.2-2.fc25, R-lmtest-0.9.35-1.fc25, R-maanova-1.46.1-1.fc25, R-magrittr-1.5-1.fc25, R-matrixStats-0.52.2-1.fc25, R-msm-1.6.4-1.fc25, R-multtest-2.32.0-1.fc25, R-mvtnorm-1.0.6-1.fc25, R-plogr-0.1.1-1.fc25, R-preprocessCore-1.38.1-1.fc25, R-qtl-1.40.8-3.fc25, R-rlecuyer-0.3.4-1.fc25, R-rtracklayer-1.36.3-1.fc25, R-snow-0.4.2-1.fc25, R-testthat-1.0.2-1.fc25, R-waveslim-1.7.5-4.fc25, R-wavethresh-4.6.8-1.fc25, rkward-0.6.5-6.fc25, rpy-2.8.5-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.